Update elastic template version by version ID
Updates the properties of an elastic
template version specified by versionId.
The versionId can be the version’s versionId GUID or the versionNumber string.
Required authentication scopes: click.manage.
Related topics
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
The external account number (int) or account ID GUID.
The ID of the version.
This value can be the version’s GUID or the version string, such as 1.3.
Request
This endpoint expects an object: clickwrapRequest
The name of the elastic template.
Required in ClickWraps: createClickwrap.
Specifies whether scheduledReacceptance and scheduledDate should be cleared. May be one of:
"scheduledReacceptance""scheduledDate""scheduledReacceptance,scheduledDate"
When true, requires signers who have previously agreed to this
elastic signing agreement to sign again.
The major version number is incremented, and the minor version number is set to zero.
For example: 2.1 to 3.0
When false, signers who have previously agreed do not need to sign again.
Only the minor version number is incremented. For example: 2.1 to 2.2
Status of an elastic template. This property is read-only. Possible values:
activeinactivedeleted
Not used. To update the user ID of an elastic template, use the updateClickwrap endpoint.
Not used. To update the user ID of an elastic template, use the updateClickwrap endpoint.
Response
The external account number (int) or account ID GUID.
An array of dataField objects.
When true, requires signers who have previously agreed to this
elastic signing agreement to sign again.
The major version number is incremented, and the minor version number is set to zero.
For example: 2.1 to 3.0
When false, signers who have previously agreed do not need to sign again.
Only the minor version number is incremented. For example: 2.1 to 2.2
Clickwrap status. Possible values:
draftactiveinactivedeleted
Human-readable version number. For example 1.2.